/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package org.netbeans.modules.exceptions.entity;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.OneToOne;
import javax.persistence.Table;
import org.hibernate.annotations.CacheConcurrencyStrategy;
import org.netbeans.server.uihandler.api.SubmitInterface.Attachment;

/**
 *
 * @author honza
 */
//@Entity
//@org.hibernate.annotations.Cache(usage = CacheConcurrencyStrategy.NONSTRICT_READ_WRITE, include="non-lazy")
//@Table(name = "srgfailure")
public class SRGFailure extends Submit {

    @Column(name = "LABEL")
    private String label;
    @Column(name = "TEST_NAME")
    private String testName;
    @Column(name = "MESSAGE")
    private String message;
    @JoinColumn(name = "STACKTRACE", referencedColumnName = "ID")
    @OneToOne(fetch=FetchType.LAZY)
    private Stacktrace stacktrace;
    @OneToOne(cascade = CascadeType.ALL, mappedBy = "exceptions", fetch=FetchType.LAZY)
    private Hashcodes hashcodes;
    
    @Override
    public Long getBuild() {
        return 0L;
    }

    @Override
    public String getMessage() {
        return message;
    }

    @Override
    public String getTitleName() {
        return testName;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public String getTestName() {
        return testName;
    }

    public void setTestName(String testName) {
        this.testName = testName;
    }

    public Stacktrace getStacktrace() {
        return stacktrace;
    }

    public void setStacktrace(Stacktrace stacktrace) {
        this.stacktrace = stacktrace;
    }

    @Override
    public String getAdditionalComment() {
        return message;
    }

    @Override
    public String getStatusWhiteboard() {
        return "";
    }

    @Override
    public String getKeywords() {
        return null;
    }

    @Override
    public Attachment getAttachment() {
        byte[] sb = getStacktrace().format();
        return new Attachment("stacktrace-%1$s.txt", "stacktrace", "text/plain", sb);
    }
    
}
