/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package org.netbeans.web.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

/**
 *
 * @author jlehotsky
 */
public class AdminAction extends Action {
    
    private final static String SUCCESS = "success";
    private final static String ACCESS_DENIED = "accessDenied";
    
    @Override
    public ActionForward execute(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
    
        AdminFacade adminFacade = AdminFacade.getInstance();
        
        String password = request.getParameter("password");
        if (password==null || password.hashCode() != 0xB11DD4EF) {
            return mapping.findForward(ACCESS_DENIED);
        }
        
        if (request.getParameter("toggleThrottle") != null) {
            boolean isThrottling = getBooleanValue(request, "isThrottling");
            adminFacade.setThrottling(!isThrottling);
        } else if (request.getParameter("toggleBugFiling") != null) {
            boolean isBugFiling = getBooleanValue(request, "isBugFiling");
            adminFacade.setBugFiling(!isBugFiling);            
        } else if (request.getParameter("toggleNewBugs") != null) {
            String originalNewBugStr = request.getParameter("newBug");
            int originalNewBug = Integer.valueOf(originalNewBugStr);
            if (originalNewBug == 11) {
                adminFacade.setNewBugStatus(92);
            } else {
                adminFacade.setNewBugStatus(11);
            }
        } else if (request.getParameter("toggleQueues") != null) {
            boolean queuesEnabled = getBooleanValue(request, "queuesEnabled");
            adminFacade.setTaskQueuesEnabled(!queuesEnabled);
        } else if (request.getParameter("forceBugDbConnection") != null) {
            adminFacade.forceResetBugDbConnection();
        }

        return mapping.findForward(SUCCESS);

    }

    private boolean getBooleanValue(HttpServletRequest request, String parameter) {
        String queuesEnabledStr = request.getParameter(parameter);
        boolean queuesEnabled = queuesEnabledStr != null && queuesEnabledStr.equalsIgnoreCase("true");
        return queuesEnabled;
    }

}
