/*
                    Sun Public License Notice

The contents of this file are subject to the Sun Public License Version
1.0 (the "License"). You may not use this file except in compliance with
the License. A copy of the License is available at http://www.sun.com/

The Original Code is the Regsup module.
The Initial Developer of the Original Code is Petr Slegr.
Portions created by Petr Slegr are Copyright (C) 2002.
All Rights Reserved.

Contributor(s): Petr Slegr.
*/

package org.netbeans.modules.regsup.auted;

/**
 */
// !!!!! predelat, zjednodusit
abstract class VisualAutomatonContainerEdit extends VisualAutomatonEdit implements 
/* x3 AutomatonDocumentEvent, */ VisualAutomatonContainerEvent {
    
    protected VisualAutomatonContainer container;
    
    private boolean structural;
    
    /**
     * @param container container where the edit took place
     */
    public VisualAutomatonContainerEdit (VisualAutomatonContainer container) {
        super ();
        this.container = container; 
        structural = true; // safe default
        //this.nodes = nodes;
        //this.edges = edges;
    }
    
    public boolean canRedo () {
        return true;
    }
    
    public boolean canUndo () {
        return true;
    }
    
    public VisualAutomatonContainer getContainer () {
        return container;
    }
    
    public boolean isStructural () {
        return structural;
    }
    
    protected void setStructural (boolean structural) {
        this.structural = structural;
    }
    
   
}

