
package org.netbeans.modules.asm.x86.syntax.att.fake;

import org.netbeans.modules.asm.model.lang.operand.LabelOperand;
import org.netbeans.modules.asm.model.lang.operand.OperandVisitor;

public class X86LabelOperand implements LabelOperand {
    
    private Direction dir;
    private String name;
    
    public X86LabelOperand(String name, Direction dir) {
        this.name = name;
        this.dir = dir;
    }
    
    public X86LabelOperand(String name) {
        this(name, Direction.BIDIRECTIONAL);
    }

    public LabelOperand.Direction getDirection() {
        return dir;
    }

    public void visit(OperandVisitor vis) {        
    }

    public String getName() {
        return name;
    }
    
}
