##### Core JavaScript - into build
mkdir core
cd core

wget http://ecma-international.org/ecma-262/5.1/ -O core.html

##### Core JavaScript - for UC
wget -r -m -k -K -Ddeveloper.mozilla.org --no-parent -e robots=off  https://developer.mozilla.org/en/JavaScript/Reference/Global_Objects/
wget -k https://developer.mozilla.org/en/JavaScript/Reference/Global_Objects/Array -O developer.mozilla.org/en/JavaScript/Reference/Global_Objects/Array/Array
wget -k https://developer.mozilla.org/en/JavaScript/Reference/Global_Objects/Boolean -O developer.mozilla.org/en/JavaScript/Reference/Global_Objects/Boolean/Boolean
wget -k https://developer.mozilla.org/en/JavaScript/Reference/Global_Objects/Date -O developer.mozilla.org/en/JavaScript/Reference/Global_Objects/Date/Date
wget -k https://developer.mozilla.org/en/JavaScript/Reference/Global_Objects/Error -O developer.mozilla.org/en/JavaScript/Reference/Global_Objects/Error/Error
wget -k https://developer.mozilla.org/en/JavaScript/Reference/Global_Objects/EvalError -O developer.mozilla.org/en/JavaScript/Reference/Global_Objects/EvalError/EvalError
wget -k https://developer.mozilla.org/en/JavaScript/Reference/Global_Objects/Function -O developer.mozilla.org/en/JavaScript/Reference/Global_Objects/Function/Function
wget -k https://developer.mozilla.org/en/JavaScript/Reference/Global_Objects/JSON -O developer.mozilla.org/en/JavaScript/Reference/Global_Objects/JSON/JSON
wget -k https://developer.mozilla.org/en/JavaScript/Reference/Global_Objects/Math -O developer.mozilla.org/en/JavaScript/Reference/Global_Objects/Math/Math
wget -k https://developer.mozilla.org/en/JavaScript/Reference/Global_Objects/Number -O developer.mozilla.org/en/JavaScript/Reference/Global_Objects/Number/Number
wget -k https://developer.mozilla.org/en/JavaScript/Reference/Global_Objects/Object -O developer.mozilla.org/en/JavaScript/Reference/Global_Objects/Object/Object
wget -k https://developer.mozilla.org/en/JavaScript/Reference/Global_Objects/RangeError -O developer.mozilla.org/en/JavaScript/Reference/Global_Objects/RangeError/RangeError
wget -k https://developer.mozilla.org/en/JavaScript/Reference/Global_Objects/ReferenceError -O developer.mozilla.org/en/JavaScript/Reference/Global_Objects/ReferenceError/ReferenceError
wget -k https://developer.mozilla.org/en/JavaScript/Reference/Global_Objects/RegExp -O developer.mozilla.org/en/JavaScript/Reference/Global_Objects/RegExp/RegExp
wget -k https://developer.mozilla.org/en/JavaScript/Reference/Global_Objects/String -O developer.mozilla.org/en/JavaScript/Reference/Global_Objects/String/String
wget -k https://developer.mozilla.org/en/JavaScript/Reference/Global_Objects/SyntaxError -O developer.mozilla.org/en/JavaScript/Reference/Global_Objects/SyntaxError/SyntaxError
wget -k https://developer.mozilla.org/en/JavaScript/Reference/Global_Objects/TypeError -O developer.mozilla.org/en/JavaScript/Reference/Global_Objects/TypeError/TypeError
wget -k https://developer.mozilla.org/en/JavaScript/Reference/Global_Objects/URIError -O developer.mozilla.org/en/JavaScript/Reference/Global_Objects/URIError/URIError
rm -rf developer.mozilla.org/en/JavaScript/Reference/Global_Objects/Object/defineProperty
wget -k https://developer.mozilla.org/en/JavaScript/Reference/Global_Objects/Object/defineProperty -O developer.mozilla.org/en/JavaScript/Reference/Global_Objects/Object/defineProperty

wget -r -m -k -K -Ddeveloper.mozilla.org --no-parent -e robots=off  https://developer.mozilla.org/en/JavaScript_typed_arrays/

##### DOM
wget -r -m -k -K -Ddeveloper.mozilla.org --no-parent -e robots=off  https://developer.mozilla.org/en/DOM/
mkdir w3.org
cd w3.org

wget http://www.w3.org/TR/REC-DOM-Level-1/ecma-script-language-binding.html -O dom1-ecma-Core.html
wget http://www.w3.org/TR/REC-DOM-Level-1/level-one-core.html -O dom1-doc-Core.html
wget http://www.w3.org/TR/REC-DOM-Level-1/level-one-html.html -O dom1-doc-Html.html

wget http://www.w3.org/TR/DOM-Level-2-Core/ecma-script-binding.html -O dom2-ecma-Core.html
wget http://www.w3.org/TR/DOM-Level-2-Core/core.html -O dom2-doc-Core.html

wget http://www.w3.org/TR/DOM-Level-2-HTML/ecma-script-binding.html -O dom2-ecma-Html.html
wget http://www.w3.org/TR/DOM-Level-2-HTML/html.html -O dom2-doc-Html.html

wget http://www.w3.org/TR/2000/REC-DOM-Level-2-Events-20001113/ecma-script-binding.html -O dom2-ecma-Events.html
wget http://www.w3.org/TR/2000/REC-DOM-Level-2-Events-20001113/events.html -O dom2-doc-Events.html

wget http://www.w3.org/TR/2000/REC-DOM-Level-2-Style-20001113/ecma-script-binding.html -O dom2-ecma-Style.html
wget http://www.w3.org/TR/2000/REC-DOM-Level-2-Style-20001113/stylesheets.html -O dom2-doc-Stylesheets.html
wget http://www.w3.org/TR/2000/REC-DOM-Level-2-Style-20001113/css.html -O dom2-doc-Css.html

wget http://www.w3.org/TR/2000/REC-DOM-Level-2-Traversal-Range-20001113/ecma-script-binding.html -O dom2-ecma-Traversal.html
wget http://www.w3.org/TR/2000/REC-DOM-Level-2-Traversal-Range-20001113/traversal.html -O dom2-doc-Traversal.html
wget http://www.w3.org/TR/2000/REC-DOM-Level-2-Traversal-Range-20001113/ranges.html -O dom2-doc-Range.html

wget http://www.w3.org/TR/2000/REC-DOM-Level-2-Views-20001113/ecma-script-binding.html -O dom2-ecma-Views.html
wget http://www.w3.org/TR/2000/REC-DOM-Level-2-Views-20001113/views.html -O dom2-doc-Views.html

wget http://www.w3.org/TR/DOM-Level-3-Core/ecma-script-binding.html -O dom3-ecma-Core.html
wget http://www.w3.org/TR/2004/REC-DOM-Level-3-Core-20040407/core.html -O dom3-doc-Core.html

wget http://www.w3.org/TR/2008/REC-ElementTraversal-20081222/ -O dom3-doc-ElementTraversal.html

##### Core JavaScript
mkdir others
wget -k https://developer.mozilla.org/en/xmlhttprequest -O others/xmlhttprequest
