/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package org.netbeans.jsstubsgenerator.core.mdn;

import java.io.File;
import java.io.FilenameFilter;

/**
 *
 * @author Martin Fousek <marfous@netbeans.org>
 */
public class DomJsFileFilter implements FilenameFilter {

    @Override
    public boolean accept(File dir, String name) {
        int dotOffset = name.indexOf(".");
        String nameNoExt = dotOffset == -1 ? name : name.substring(0, dotOffset);

        // don't process orig files or summary files
        if (name.endsWith("orig") || name.equals(nameNoExt)) {
            return false;
        }

        // accept Element fields and methods - issue #232582
        if ("element".equals(nameNoExt) && !"element".equals(dir.getName())) {
            return true;
        }

        return false;
    }
}
