/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package org.netbeans.server.uihandler.bugs;

import javax.persistence.EntityManager;
import org.netbeans.modules.exceptions.entity.IssueBuild;
import org.netbeans.modules.exceptions.utils.PersistenceUtils;
import org.netbeans.server.uihandler.spi.BuildQueryImplementation;
import org.netbeans.server.utils.Persistable;

/**
 *
 * @author Jan Horvath <jhorvath@netbeans.org>
 */
public class NetBeansBuildQuery implements BuildQueryImplementation {

    @Override
    public Long getBuild(final int issueId) {
        final Long[] resultHolder = new Long[1];
        resultHolder[0] = null;
        PersistenceUtils.processPersistable(new Persistable.Query() {

            public TransactionResult runQuery(EntityManager em) throws Exception {
                IssueBuild ib = em.find(IssueBuild.class, issueId);
                if (ib != null){
                    resultHolder[0]= ib.getBuildNumber();
                }
                return TransactionResult.NONE;
            }
        });
        return resultHolder[0];
    }
    
}
