/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package org.netbeans.web.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;


/**
 *
 * @author jlehotsky
 */
public class AdminDashboardAction extends Action {
    
    private final static String SUCCESS = "success";
    private final static String ACCESS_DENIED = "accessDenied";
    
    
    @Override
    public ActionForward execute(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {

        String password = request.getParameter("password");
        if (password==null || password.hashCode() != 0xB11DD4EF) {
            return mapping.findForward(ACCESS_DENIED);
        }
        
        AdminFacade adminFacade = AdminFacade.getInstance();

        request.setAttribute("production", adminFacade.isProduction());
        request.setAttribute("throttling", adminFacade.isThrottling());
        request.setAttribute("bugFiling", adminFacade.isBugFiling());
        request.setAttribute("newBugStatus", adminFacade.getNewBugStatus());
        request.setAttribute("jdevJobs", adminFacade.getJDevJobs());
        request.setAttribute("srgJobs", adminFacade.getSRGJobs());
        request.setAttribute("queuesEnabled", adminFacade.areTaskQueuesEnabled());
        
        return mapping.findForward(SUCCESS);
    }

}
