/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package org.netbeans.web.action;

import java.util.ArrayList;
import java.util.List;
import javax.persistence.EntityManager;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.netbeans.web.EntityManagerFilter;

/**
 *
 * @author Jan Horvath <jhorvath@netbeans.org>
 */
public class ReportsListAction extends ExceptionsAbstractAction {
    
    private final static String SUCCESS = "success";
    
    @Override
    public ActionForward execute(ActionMapping mapping, ActionForm form,
            final HttpServletRequest request, HttpServletResponse response)
            throws Exception {
        
        final List reports = new ArrayList();
        
        EntityManager em = (EntityManager) request.getAttribute(EntityManagerFilter.ENTITY_MANAGER);

        javax.persistence.Query q = em.createQuery("SELECT r FROM Report r");
        reports.addAll(q.getResultList());
        request.setAttribute("reports", reports);

        return mapping.findForward(SUCCESS);
    }
}
