/**
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
 *
 * Copyright 1997-2007 Sun Microsystems, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of either the GNU
 * General Public License Version 2 only ("GPL") or the Common
 * Development and Distribution License("CDDL") (collectively, the
 * "License"). You may not use this file except in compliance with the
 * License. You can obtain a copy of the License at
 * http://www.netbeans.org/cddl-gplv2.html
 * or nbbuild/licenses/CDDL-GPL-2-CP. See the License for the
 * specific language governing permissions and limitations under the
 * License.  When distributing the software, include this License Header
 * Notice in each file and include the License file at
 * nbbuild/licenses/CDDL-GPL-2-CP.  Sun designates this
 * particular file as subject to the "Classpath" exception as provided
 * by Sun in the GPL Version 2 section of the License file that
 * accompanied this code. If applicable, add the following below the
 * License Header, with the fields enclosed by brackets [] replaced by
 * your own identifying information:
 * "Portions Copyrighted [year] [name of copyright owner]"
 *
 * Contributor(s):
 *
 * The Original Software is NetBeans. The Initial Developer of the Original
 * Software is Sun Microsystems, Inc. Portions Copyright 1997-2007 Sun
 * Microsystems, Inc. All Rights Reserved.
 *
 * If you wish your version of this file to be governed by only the CDDL
 * or only the GPL Version 2, indicate your decision by adding
 * "[Contributor] elects to include this software in this distribution
 * under the [CDDL or GPL Version 2] license." If you do not indicate a
 * single choice of license, a recipient has the option to distribute
 * your version of this file under either the CDDL, the GPL Version 2 or
 * to extend the choice of license to its licensees as provided above.
 * However, if you add GPL Version 2 code and therefore, elected the GPL
 * Version 2 license, then the option applies only if the new code is
 * made subject to such option by the copyright holder.
 **/
package pluginportal;

import com.sun.j2ee.blueprints.ui.rating.RatingComponent;
import com.sun.rave.web.ui.appbase.AbstractPageBean;
import com.sun.webui.jsf.component.Body;
import com.sun.webui.jsf.component.Button;
import com.sun.webui.jsf.component.Form;
import com.sun.webui.jsf.component.Head;
import com.sun.webui.jsf.component.Html;
import com.sun.webui.jsf.component.Hyperlink;
import com.sun.webui.jsf.component.ImageComponent;
import com.sun.webui.jsf.component.ImageHyperlink;
import com.sun.webui.jsf.component.Label;
import com.sun.webui.jsf.component.Link;
import com.sun.webui.jsf.component.Markup;
import com.sun.webui.jsf.component.Page;
import com.sun.webui.jsf.component.PanelGroup;
import com.sun.webui.jsf.component.PanelLayout;
import com.sun.webui.jsf.component.Script;
import com.sun.webui.jsf.component.StaticText;
import com.sun.webui.jsf.component.TextField;
import java.io.File;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Iterator;
import javax.faces.FacesException;
import javax.faces.application.Application;
import javax.faces.application.NavigationHandler;
import javax.faces.component.UIComponent;
import javax.faces.component.html.HtmlCommandButton;
import javax.faces.component.html.HtmlOutputText;
import javax.faces.component.html.HtmlPanelGrid;
import javax.faces.context.FacesContext;
import javax.faces.event.ActionEvent;
import javax.faces.event.ValueChangeEvent;
import javax.servlet.http.HttpServletRequest;
import org.netbeans.pluginportal.system.Plugin;
import org.netbeans.pluginportal.system.PluginSystem;
import org.netbeans.pluginportal.system.SystemFileUtils;

/**
 * <p>Page bean that corresponds to a similarly named JSP page.  This
 * class contains component definitions (and initialization code) for
 * all components that you have defined on this page, as well as
 * lifecycle methods and event handlers where you may add behavior
 * to respond to incoming events.</p>
 *
 *@author David Botterill
 */
public class MainPage extends AbstractPageBean {
    
    private PluginSystem pluginsystem;
    
    // <editor-fold defaultstate="collapsed" desc="Managed Component Definition">
    private int __placeholder;
    
    /**
     * <p>Automatically managed component initialization.  <strong>WARNING:</strong>
     * This method is automatically generated, so any user-specified code inserted
     * here is subject to being replaced.</p>
     */
    private void _init() throws Exception {
    }
    
    private Page page1 = new Page();
    
    public Page getPage1() {
        return page1;
    }
    
    public void setPage1(Page p) {
        this.page1 = p;
    }
    
    private Html html1 = new Html();
    
    public Html getHtml1() {
        return html1;
    }
    
    public void setHtml1(Html h) {
        this.html1 = h;
    }
    
    private Head head1 = new Head();
    
    public Head getHead1() {
        return head1;
    }
    
    public void setHead1(Head h) {
        this.head1 = h;
    }
    
    private Link link1 = new Link();
    
    public Link getLink1() {
        return link1;
    }
    
    public void setLink1(Link l) {
        this.link1 = l;
    }
    
    private Body body1 = new Body();
    
    public Body getBody1() {
        return body1;
    }
    
    public void setBody1(Body b) {
        this.body1 = b;
    }
    
    private Form form1 = new Form();
    
    public Form getForm1() {
        return form1;
    }
    
    public void setForm1(Form f) {
        this.form1 = f;
    }
    
    private PanelLayout center_container = new PanelLayout();
    
    public PanelLayout getCenter_container() {
        return center_container;
    }
    
    public void setCenter_container(PanelLayout pl) {
        this.center_container = pl;
    }
    
    private PanelLayout page_border = new PanelLayout();
    
    public PanelLayout getPage_border() {
        return page_border;
    }
    
    public void setPage_border(PanelLayout pl) {
        this.page_border = pl;
    }
    
    private PanelLayout fixed_tabs = new PanelLayout();
    
    public PanelLayout getFixed_tabs() {
        return fixed_tabs;
    }
    
    public void setFixed_tabs(PanelLayout pl) {
        this.fixed_tabs = pl;
    }
    
    private ImageComponent image1 = new ImageComponent();
    
    public ImageComponent getImage1() {
        return image1;
    }
    
    public void setImage1(ImageComponent ic) {
        this.image1 = ic;
    }
    
    private ImageComponent image2 = new ImageComponent();
    
    public ImageComponent getImage2() {
        return image2;
    }
    
    public void setImage2(ImageComponent ic) {
        this.image2 = ic;
    }
    
    private ImageHyperlink imageHyperlink1 = new ImageHyperlink();
    
    public ImageHyperlink getImageHyperlink1() {
        return imageHyperlink1;
    }
    
    public void setImageHyperlink1(ImageHyperlink ih) {
        this.imageHyperlink1 = ih;
    }
    
    private ImageHyperlink imageHyperlink2 = new ImageHyperlink();
    
    public ImageHyperlink getImageHyperlink2() {
        return imageHyperlink2;
    }
    
    public void setImageHyperlink2(ImageHyperlink ih) {
        this.imageHyperlink2 = ih;
    }
    
    private ImageHyperlink imageHyperlink3 = new ImageHyperlink();
    
    public ImageHyperlink getImageHyperlink3() {
        return imageHyperlink3;
    }
    
    public void setImageHyperlink3(ImageHyperlink ih) {
        this.imageHyperlink3 = ih;
    }
    
    private ImageHyperlink imageHyperlink4 = new ImageHyperlink();
    
    public ImageHyperlink getImageHyperlink4() {
        return imageHyperlink4;
    }
    
    public void setImageHyperlink4(ImageHyperlink ih) {
        this.imageHyperlink4 = ih;
    }
    
    private ImageHyperlink imageHyperlink5 = new ImageHyperlink();
    
    public ImageHyperlink getImageHyperlink5() {
        return imageHyperlink5;
    }
    
    public void setImageHyperlink5(ImageHyperlink ih) {
        this.imageHyperlink5 = ih;
    }
    
    private ImageHyperlink imageHyperlink6 = new ImageHyperlink();
    
    public ImageHyperlink getImageHyperlink6() {
        return imageHyperlink6;
    }
    
    public void setImageHyperlink6(ImageHyperlink ih) {
        this.imageHyperlink6 = ih;
    }
    
    private PanelLayout fixed_contentarea = new PanelLayout();
    
    public PanelLayout getFixed_contentarea() {
        return fixed_contentarea;
    }
    
    public void setFixed_contentarea(PanelLayout pl) {
        this.fixed_contentarea = pl;
    }
    
    private PanelLayout navig_breadcrumbs = new PanelLayout();
    
    public PanelLayout getNavig_breadcrumbs() {
        return navig_breadcrumbs;
    }
    
    public void setNavig_breadcrumbs(PanelLayout pl) {
        this.navig_breadcrumbs = pl;
    }
    
    private Hyperlink hyperlink1 = new Hyperlink();
    
    public Hyperlink getHyperlink1() {
        return hyperlink1;
    }
    
    public void setHyperlink1(Hyperlink h) {
        this.hyperlink1 = h;
    }
    
    private StaticText staticText1 = new StaticText();
    
    public StaticText getStaticText1() {
        return staticText1;
    }
    
    public void setStaticText1(StaticText st) {
        this.staticText1 = st;
    }
    
    private PanelLayout fixed_contextbox = new PanelLayout();
    
    public PanelLayout getFixed_contextbox() {
        return fixed_contextbox;
    }
    
    public void setFixed_contextbox(PanelLayout pl) {
        this.fixed_contextbox = pl;
    }
    
    private HtmlPanelGrid main_table = new HtmlPanelGrid();
    
    public HtmlPanelGrid getMain_table() {
        return main_table;
    }
    
    public void setMain_table(HtmlPanelGrid hpg) {
        this.main_table = hpg;
    }
    
    private PanelLayout left_col = new PanelLayout();
    
    public PanelLayout getLeft_col() {
        return left_col;
    }
    
    public void setLeft_col(PanelLayout pl) {
        this.left_col = pl;
    }
    
    private PanelLayout main_area1 = new PanelLayout();
    
    public PanelLayout getMain_area1() {
        return main_area1;
    }
    
    public void setMain_area1(PanelLayout pl) {
        this.main_area1 = pl;
    }
    
    private HtmlOutputText outputText1 = new HtmlOutputText();
    
    public HtmlOutputText getOutputText1() {
        return outputText1;
    }
    
    public void setOutputText1(HtmlOutputText hot) {
        this.outputText1 = hot;
    }
    
    private PanelLayout right_col = new PanelLayout();
    
    public PanelLayout getRight_col() {
        return right_col;
    }
    
    public void setRight_col(PanelLayout pl) {
        this.right_col = pl;
    }
    
    private PanelLayout fixed_footer = new PanelLayout();
    
    public PanelLayout getFixed_footer() {
        return fixed_footer;
    }
    
    public void setFixed_footer(PanelLayout pl) {
        this.fixed_footer = pl;
    }
    
    private PanelLayout footer_text = new PanelLayout();
    
    public PanelLayout getFooter_text() {
        return footer_text;
    }
    
    public void setFooter_text(PanelLayout pl) {
        this.footer_text = pl;
    }
    
    private PanelLayout footer_navig = new PanelLayout();
    
    public PanelLayout getFooter_navig() {
        return footer_navig;
    }
    
    public void setFooter_navig(PanelLayout pl) {
        this.footer_navig = pl;
    }
    
    private Hyperlink hyperlink2 = new Hyperlink();
    
    public Hyperlink getHyperlink2() {
        return hyperlink2;
    }
    
    public void setHyperlink2(Hyperlink h) {
        this.hyperlink2 = h;
    }
    
    private Hyperlink hyperlink3 = new Hyperlink();
    
    public Hyperlink getHyperlink3() {
        return hyperlink3;
    }
    
    public void setHyperlink3(Hyperlink h) {
        this.hyperlink3 = h;
    }
    
    private Hyperlink hyperlink4 = new Hyperlink();
    
    public Hyperlink getHyperlink4() {
        return hyperlink4;
    }
    
    public void setHyperlink4(Hyperlink h) {
        this.hyperlink4 = h;
    }
    
    private PanelLayout tof = new PanelLayout();
    
    public PanelLayout getTof() {
        return tof;
    }
    
    public void setTof(PanelLayout pl) {
        this.tof = pl;
    }
    
    private StaticText staticText2 = new StaticText();
    
    public StaticText getStaticText2() {
        return staticText2;
    }
    
    public void setStaticText2(StaticText st) {
        this.staticText2 = st;
    }
    
    private Hyperlink hyperlink5 = new Hyperlink();
    
    public Hyperlink getHyperlink5() {
        return hyperlink5;
    }
    
    public void setHyperlink5(Hyperlink h) {
        this.hyperlink5 = h;
    }
    
    private Markup markup1 = new Markup();
    
    public Markup getMarkup1() {
        return markup1;
    }
    
    public void setMarkup1(Markup m) {
        this.markup1 = m;
    }
    
    private Markup markup2 = new Markup();
    
    public Markup getMarkup2() {
        return markup2;
    }
    
    public void setMarkup2(Markup m) {
        this.markup2 = m;
    }
    
    private StaticText txtWelcome = new StaticText();
    
    public StaticText getTxtWelcome() {
        return txtWelcome;
    }
    
    public void setTxtWelcome(StaticText st) {
        this.txtWelcome = st;
    }
    
    private StaticText staticText7 = new StaticText();
    
    public StaticText getStaticText7() {
        return staticText7;
    }
    
    public void setStaticText7(StaticText st) {
        this.staticText7 = st;
    }
    
    private StaticText staticText8 = new StaticText();
    
    public StaticText getStaticText8() {
        return staticText8;
    }
    
    public void setStaticText8(StaticText st) {
        this.staticText8 = st;
    }
    
    private StaticText staticText9 = new StaticText();
    
    public StaticText getStaticText9() {
        return staticText9;
    }
    
    public void setStaticText9(StaticText st) {
        this.staticText9 = st;
    }
    
    private Hyperlink hyperlink8 = new Hyperlink();
    
    public Hyperlink getHyperlink8() {
        return hyperlink8;
    }
    
    public void setHyperlink8(Hyperlink h) {
        this.hyperlink8 = h;
    }
    
    private StaticText staticText10 = new StaticText();
    
    public StaticText getStaticText10() {
        return staticText10;
    }
    
    public void setStaticText10(StaticText st) {
        this.staticText10 = st;
    }
    
    private StaticText staticText11 = new StaticText();
    
    public StaticText getStaticText11() {
        return staticText11;
    }
    
    public void setStaticText11(StaticText st) {
        this.staticText11 = st;
    }
    
    private StaticText staticText12 = new StaticText();
    
    public StaticText getStaticText12() {
        return staticText12;
    }
    
    public void setStaticText12(StaticText st) {
        this.staticText12 = st;
    }
    
    private PanelLayout right_col_area1 = new PanelLayout();
    
    public PanelLayout getRight_col_area1() {
        return right_col_area1;
    }
    
    public void setRight_col_area1(PanelLayout pl) {
        this.right_col_area1 = pl;
    }
    
    private StaticText staticText5 = new StaticText();
    
    public StaticText getStaticText5() {
        return staticText5;
    }
    
    public void setStaticText5(StaticText st) {
        this.staticText5 = st;
    }
    
    private Markup markup3 = new Markup();
    
    public Markup getMarkup3() {
        return markup3;
    }
    
    public void setMarkup3(Markup m) {
        this.markup3 = m;
    }
    
    private TextField txtSearchString = new TextField();
    
    public TextField getTxtSearchString() {
        return txtSearchString;
    }
    
    public void setTxtSearchString(TextField tf) {
        this.txtSearchString = tf;
    }
    
    private Markup markup4 = new Markup();
    
    public Markup getMarkup4() {
        return markup4;
    }
    
    public void setMarkup4(Markup m) {
        this.markup4 = m;
    }
    
    private PanelLayout topPanel = new PanelLayout();
    
    public PanelLayout getTopPanel() {
        return topPanel;
    }
    
    public void setTopPanel(PanelLayout pl) {
        this.topPanel = pl;
    }
    
    private Button btnSearch = new Button();
    
    public Button getBtnSearch() {
        return btnSearch;
    }
    
    public void setBtnSearch(Button b) {
        this.btnSearch = b;
    }
    
    private PanelLayout bottomPanel = new PanelLayout();
    
    public PanelLayout getBottomPanel() {
        return bottomPanel;
    }
    
    public void setBottomPanel(PanelLayout pl) {
        this.bottomPanel = pl;
    }
    
    private PanelLayout featuredPanel = new PanelLayout();
    
    public PanelLayout getFeaturedPanel() {
        return featuredPanel;
    }
    
    public void setFeaturedPanel(PanelLayout pl) {
        this.featuredPanel = pl;
    }
    
    private Markup markup5 = new Markup();
    
    public Markup getMarkup5() {
        return markup5;
    }
    
    public void setMarkup5(Markup m) {
        this.markup5 = m;
    }
    
    private PanelLayout topPluginsPanel = new PanelLayout();
    
    public PanelLayout getTopPluginsPanel() {
        return topPluginsPanel;
    }
    
    public void setTopPluginsPanel(PanelLayout pl) {
        this.topPluginsPanel = pl;
    }
    
    private Markup markup6 = new Markup();
    
    public Markup getMarkup6() {
        return markup6;
    }
    
    public void setMarkup6(Markup m) {
        this.markup6 = m;
    }
    
    private HtmlPanelGrid topPluginsTable = new HtmlPanelGrid();
    
    public HtmlPanelGrid getTopPluginsTable() {
        return topPluginsTable;
    }
    
    public void setTopPluginsTable(HtmlPanelGrid hpg) {
        this.topPluginsTable = hpg;
    }
    
    private Markup markup7 = new Markup();
    
    public Markup getMarkup7() {
        return markup7;
    }
    
    public void setMarkup7(Markup m) {
        this.markup7 = m;
    }
    
    private HtmlPanelGrid recentlyAddedGrid = new HtmlPanelGrid();
    
    public HtmlPanelGrid getRecentlyAddedGrid() {
        return recentlyAddedGrid;
    }
    
    public void setRecentlyAddedGrid(HtmlPanelGrid hpg) {
        this.recentlyAddedGrid = hpg;
    }
    
    private StaticText staticText6 = new StaticText();
    
    public StaticText getStaticText6() {
        return staticText6;
    }
    
    public void setStaticText6(StaticText st) {
        this.staticText6 = st;
    }
    
    private PanelLayout recentlyAddedPanel = new PanelLayout();
    
    public PanelLayout getRecentlyAddedPanel() {
        return recentlyAddedPanel;
    }
    
    public void setRecentlyAddedPanel(PanelLayout pl) {
        this.recentlyAddedPanel = pl;
    }
    
    private PanelLayout topRatedPanel = new PanelLayout();
    
    public PanelLayout getTopRatedPanel() {
        return topRatedPanel;
    }
    
    public void setTopRatedPanel(PanelLayout pl) {
        this.topRatedPanel = pl;
    }
    
    private StaticText staticText13 = new StaticText();
    
    public StaticText getStaticText13() {
        return staticText13;
    }
    
    public void setStaticText13(StaticText st) {
        this.staticText13 = st;
    }
    
    private HtmlPanelGrid topRatedGrid = new HtmlPanelGrid();
    
    public HtmlPanelGrid getTopRatedGrid() {
        return topRatedGrid;
    }
    
    public void setTopRatedGrid(HtmlPanelGrid hpg) {
        this.topRatedGrid = hpg;
    }
    
    private PanelLayout mostPopularPanel = new PanelLayout();
    
    public PanelLayout getMostPopularPanel() {
        return mostPopularPanel;
    }
    
    public void setMostPopularPanel(PanelLayout pl) {
        this.mostPopularPanel = pl;
    }
    
    private StaticText staticText14 = new StaticText();
    
    public StaticText getStaticText14() {
        return staticText14;
    }
    
    public void setStaticText14(StaticText st) {
        this.staticText14 = st;
    }
    
    private HtmlPanelGrid mostPopularGrid = new HtmlPanelGrid();
    
    public HtmlPanelGrid getMostPopularGrid() {
        return mostPopularGrid;
    }
    
    public void setMostPopularGrid(HtmlPanelGrid hpg) {
        this.mostPopularGrid = hpg;
    }
    
    private Markup markup8 = new Markup();
    
    public Markup getMarkup8() {
        return markup8;
    }
    
    public void setMarkup8(Markup m) {
        this.markup8 = m;
    }
    
    private Markup markup9 = new Markup();
    
    public Markup getMarkup9() {
        return markup9;
    }
    
    public void setMarkup9(Markup m) {
        this.markup9 = m;
    }
    
    private Markup markup10 = new Markup();
    
    public Markup getMarkup10() {
        return markup10;
    }
    
    public void setMarkup10(Markup m) {
        this.markup10 = m;
    }
    
    private StaticText staticText15 = new StaticText();
    
    public StaticText getStaticText15() {
        return staticText15;
    }
    
    public void setStaticText15(StaticText st) {
        this.staticText15 = st;
    }
    
    private Hyperlink hyperlink7 = new Hyperlink();
    
    public Hyperlink getHyperlink7() {
        return hyperlink7;
    }
    
    public void setHyperlink7(Hyperlink h) {
        this.hyperlink7 = h;
    }
    
    private Hyperlink txtLoginLogoff = new Hyperlink();
    
    public Hyperlink getTxtLoginLogoff() {
        return txtLoginLogoff;
    }
    
    public void setTxtLoginLogoff(Hyperlink h) {
        this.txtLoginLogoff = h;
    }
    
    private PanelGroup loginPanel = new PanelGroup();
    
    public PanelGroup getLoginPanel() {
        return loginPanel;
    }
    
    public void setLoginPanel(PanelGroup pg) {
        this.loginPanel = pg;
    }
    
    private StaticText staticText16 = new StaticText();
    
    public StaticText getStaticText16() {
        return staticText16;
    }
    
    public void setStaticText16(StaticText st) {
        this.staticText16 = st;
    }
    
    private Hyperlink currentUser = new Hyperlink();
    
    public Hyperlink getCurrentUser() {
        return currentUser;
    }
    
    public void setCurrentUser(Hyperlink h) {
        this.currentUser = h;
    }
    
    private PanelLayout categoryDetailPanel1 = new PanelLayout();
    
    public PanelLayout getCategoryDetailPanel1() {
        return categoryDetailPanel1;
    }
    
    public void setCategoryDetailPanel1(PanelLayout pl) {
        this.categoryDetailPanel1 = pl;
    }
    
    private RatingComponent txtRating = new RatingComponent();
    
    public RatingComponent getTxtRating() {
        return txtRating;
    }
    
    public void setTxtRating(RatingComponent rc) {
        this.txtRating = rc;
    }
    
    private Hyperlink pluginNameLink1 = new Hyperlink();
    
    public Hyperlink getPluginNameLink1() {
        return pluginNameLink1;
    }
    
    public void setPluginNameLink1(Hyperlink h) {
        this.pluginNameLink1 = h;
    }
    
    private Markup markup14 = new Markup();
    
    public Markup getMarkup14() {
        return markup14;
    }
    
    public void setMarkup14(Markup m) {
        this.markup14 = m;
    }
    
    private HtmlPanelGrid categoryDetailBottomGrid1 = new HtmlPanelGrid();
    
    public HtmlPanelGrid getCategoryDetailBottomGrid1() {
        return categoryDetailBottomGrid1;
    }
    
    public void setCategoryDetailBottomGrid1(HtmlPanelGrid hpg) {
        this.categoryDetailBottomGrid1 = hpg;
    }
    
    private PanelLayout leftPanel1 = new PanelLayout();
    
    public PanelLayout getLeftPanel1() {
        return leftPanel1;
    }
    
    public void setLeftPanel1(PanelLayout pl) {
        this.leftPanel1 = pl;
    }
    
    private ImageHyperlink lnkPluginImage = new ImageHyperlink();
    
    public ImageHyperlink getLnkPluginImage() {
        return lnkPluginImage;
    }
    
    public void setLnkPluginImage(ImageHyperlink ih) {
        this.lnkPluginImage = ih;
    }
    
    private Markup markup15 = new Markup();
    
    public Markup getMarkup15() {
        return markup15;
    }
    
    public void setMarkup15(Markup m) {
        this.markup15 = m;
    }
    
    private PanelLayout rightPanel1 = new PanelLayout();
    
    public PanelLayout getRightPanel1() {
        return rightPanel1;
    }
    
    public void setRightPanel1(PanelLayout pl) {
        this.rightPanel1 = pl;
    }
    
    private Label label1 = new Label();
    
    public Label getLabel1() {
        return label1;
    }
    
    public void setLabel1(Label l) {
        this.label1 = l;
    }
    
    private Hyperlink lnkAuthor = new Hyperlink();
    
    public Hyperlink getLnkAuthor() {
        return lnkAuthor;
    }
    
    public void setLnkAuthor(Hyperlink h) {
        this.lnkAuthor = h;
    }
    
    private Markup markup16 = new Markup();
    
    public Markup getMarkup16() {
        return markup16;
    }
    
    public void setMarkup16(Markup m) {
        this.markup16 = m;
    }
    
    private StaticText txtSummary1 = new StaticText();
    
    public StaticText getTxtSummary1() {
        return txtSummary1;
    }
    
    public void setTxtSummary1(StaticText st) {
        this.txtSummary1 = st;
    }
    
    private Markup markup20 = new Markup();
    
    public Markup getMarkup20() {
        return markup20;
    }
    
    public void setMarkup20(Markup m) {
        this.markup20 = m;
    }
    
    private Hyperlink lnkLearnMore = new Hyperlink();
    
    public Hyperlink getLnkLearnMore() {
        return lnkLearnMore;
    }
    
    public void setLnkLearnMore(Hyperlink h) {
        this.lnkLearnMore = h;
    }
    
    private Markup markup21 = new Markup();
    
    public Markup getMarkup21() {
        return markup21;
    }
    
    public void setMarkup21(Markup m) {
        this.markup21 = m;
    }
    
    private PanelLayout searchPanel = new PanelLayout();
    
    public PanelLayout getSearchPanel() {
        return searchPanel;
    }
    
    public void setSearchPanel(PanelLayout pl) {
        this.searchPanel = pl;
    }
    
    private Markup markup17 = new Markup();
    
    public Markup getMarkup17() {
        return markup17;
    }
    
    public void setMarkup17(Markup m) {
        this.markup17 = m;
    }
    
    private PanelLayout categoryLayout = new PanelLayout();
    
    public PanelLayout getCategoryLayout() {
        return categoryLayout;
    }
    
    public void setCategoryLayout(PanelLayout pl) {
        this.categoryLayout = pl;
    }
    
    private ImageHyperlink lnkCloud = new ImageHyperlink();
    
    public ImageHyperlink getLnkCloud() {
        return lnkCloud;
    }
    
    public void setLnkCloud(ImageHyperlink ih) {
        this.lnkCloud = ih;
    }
    
    private Markup markup18 = new Markup();
    
    public Markup getMarkup18() {
        return markup18;
    }
    
    public void setMarkup18(Markup m) {
        this.markup18 = m;
    }
    
    private Markup markup19 = new Markup();
    
    public Markup getMarkup19() {
        return markup19;
    }
    
    public void setMarkup19(Markup m) {
        this.markup19 = m;
    }
    
    private StaticText staticText3 = new StaticText();
    
    public StaticText getStaticText3() {
        return staticText3;
    }
    
    public void setStaticText3(StaticText st) {
        this.staticText3 = st;
    }
    
    private Hyperlink lnkFeaturedPluginName = new Hyperlink();
    
    public Hyperlink getLnkFeaturedPluginName() {
        return lnkFeaturedPluginName;
    }
    
    public void setLnkFeaturedPluginName(Hyperlink h) {
        this.lnkFeaturedPluginName = h;
    }
    
    private HtmlPanelGrid gridPanel1 = new HtmlPanelGrid();
    
    public HtmlPanelGrid getGridPanel1() {
        return gridPanel1;
    }
    
    public void setGridPanel1(HtmlPanelGrid hpg) {
        this.gridPanel1 = hpg;
    }
    
    private ImageHyperlink lnkAddPlugin1 = new ImageHyperlink();
    
    public ImageHyperlink getLnkAddPlugin1() {
        return lnkAddPlugin1;
    }
    
    public void setLnkAddPlugin1(ImageHyperlink ih) {
        this.lnkAddPlugin1 = ih;
    }
    
    private Markup markup22 = new Markup();
    
    public Markup getMarkup22() {
        return markup22;
    }
    
    public void setMarkup22(Markup m) {
        this.markup22 = m;
    }
    
    private StaticText staticText4 = new StaticText();
    
    public StaticText getStaticText4() {
        return staticText4;
    }
    
    public void setStaticText4(StaticText st) {
        this.staticText4 = st;
    }
    
    private Hyperlink hyperlink6 = new Hyperlink();
    
    public Hyperlink getHyperlink6() {
        return hyperlink6;
    }
    
    public void setHyperlink6(Hyperlink h) {
        this.hyperlink6 = h;
    }
    
    private StaticText staticText17 = new StaticText();
    
    public StaticText getStaticText17() {
        return staticText17;
    }
    
    public void setStaticText17(StaticText st) {
        this.staticText17 = st;
    }
    
    private PanelLayout newsPanel = new PanelLayout();
    
    public PanelLayout getNewsPanel() {
        return newsPanel;
    }
    
    public void setNewsPanel(PanelLayout pl) {
        this.newsPanel = pl;
    }
    
    private StaticText txtNews = new StaticText();
    
    public StaticText getTxtNews() {
        return txtNews;
    }
    
    public void setTxtNews(StaticText st) {
        this.txtNews = st;
    }
    
    private Label label2 = new Label();
    
    public Label getLabel2() {
        return label2;
    }
    
    public void setLabel2(Label l) {
        this.label2 = l;
    }
    
    private Markup markup23 = new Markup();
    
    public Markup getMarkup23() {
        return markup23;
    }
    
    public void setMarkup23(Markup m) {
        this.markup23 = m;
    }

    private PanelLayout scrollPanel = new PanelLayout();

    public PanelLayout getScrollPanel() {
        return scrollPanel;
    }

    public void setScrollPanel(PanelLayout pl) {
        this.scrollPanel = pl;
    }
    
    // </editor-fold>
    
    /**
     * <p>Construct a new Page bean instance.</p>
     */
    public MainPage() {
    }
    
    /**
     * <p>Callback method that is called whenever a page is navigated to,
     * either directly via a URL, or indirectly via page navigation.
     * Customize this method to acquire resources that will be needed
     * for event handlers and lifecycle methods, whether or not this
     * page is performing post back processing.</p>
     *
     * <p>Note that, if the current request is a postback, the property
     * values of the components do <strong>not</strong> represent any
     * values submitted with this request.  Instead, they represent the
     * property values that were saved for this view when it was rendered.</p>
     */
    public void init() {
        // Perform initializations inherited from our superclass
        super.init();
        // Perform application initialization that must complete
        // *before* managed components are initialized
        // TODO - add your own initialiation code here
        
        // <editor-fold defaultstate="collapsed" desc="Managed Component Initialization">
        // Initialize automatically managed components
        // *Note* - this logic should NOT be modified
        try {
            _init();
        } catch (Exception e) {
            log("MainPage Initialization Failure", e);
            throw e instanceof FacesException ? (FacesException) e: new FacesException(e);
        }
        
        // </editor-fold>
        // Perform application initialization that must complete
        // *after* managed components are initialized
        // TODO - add your own initialization code here
        
        /**
         * Force the application bean to be initialized.
         */
        
        pluginsystem = this.getApplicationBean1().getPluginSystem();
        this.getSessionBean1().setCurrentPageName("MainPage");

        loadFeaturedPlugin();
        
    }
    
    private void loadFeaturedPlugin() {
        Plugin plugin = getApplicationBean1().getFeaturePlugin();
        if(null != plugin) {
            txtSummary1.setText(plugin.getSummary());
            lnkAuthor.setText(plugin.getAuthor_userid());
            setFeaturedPluginName("Featured Plugin: " + plugin.getPlugin_name());
            if(null != plugin.getImage_filename() && !plugin.getImage_filename().equals("")) {
                lnkPluginImage.setImageURL(SystemFileUtils.getImageURLString() + File.separator + plugin.getImage_filename());
            } else {
                lnkPluginImage.setImageURL(FileUtils.defaultImage);
            }
            /**
             * Set the URLs to a GET style
             */
            lnkPluginImage.setUrl("http://" + SystemFileUtils.getServerHost() + "/PluginPortal/faces/PluginDetailPage.jsp?pluginid=" + plugin.getPluginid());
            lnkFeaturedPluginName.setUrl("http://" + SystemFileUtils.getServerHost() + "/PluginPortal/faces/PluginDetailPage.jsp?pluginid=" + plugin.getPluginid());
            lnkLearnMore.setUrl("http://" + SystemFileUtils.getServerHost() + "/PluginPortal/faces/PluginDetailPage.jsp?pluginid=" + plugin.getPluginid());
        } else {
            this.txtRating.setAverageModeText(" ");
            featuredPanel.setVisible(false);
        }
        
    }
    
    /**
     * <p>Callback method that is called after the component tree has been
     * restored, but before any event processing takes place.  This method
     * will <strong>only</strong> be called on a postback request that
     * is processing a form submit.  Customize this method to allocate
     * resources that will be required in your event handlers.</p>
     */
    public void preprocess() {
        System.out.println("In preprocess");
    }
    
    /**
     * <p>Callback method that is called just before rendering takes place.
     * This method will <strong>only</strong> be called for the page that
     * will actually be rendered (and not, for example, on a page that
     * handled a postback and then navigated to a different page).  Customize
     * this method to allocate resources that will be required for rendering
     * this page.</p>
     */
    public void prerender() {
        if(getSessionBean1().isCategoryInCloudView()) {
            lnkCloud.setImageURL("/resources/cloud_ctrl_display_as_cloud.png");
            lnkCloud.setToolTip("Click to show as List");
            if(null != this.getCategoryLayout().getChildren()) {
                this.getCategoryLayout().getChildren().clear();
            }
            
            ArrayList<Hyperlink> cloudLinks = this.getSessionBean1().getCategoryCloudLinks();
            
            /**
             * Now that we have the links, we need to add spaces between them
             * then add them to the panel.
             */
            ArrayList<UIComponent> categoryCloud = new ArrayList();
            Iterator<Hyperlink> cloudIterator = cloudLinks.iterator();
            StaticText spaceStaticText = null;
            while(cloudIterator.hasNext()) {
                Hyperlink currentLink = cloudIterator.next();
                categoryCloud.add(currentLink);
                spaceStaticText = new StaticText();
                spaceStaticText.setText("&nbsp;");
                spaceStaticText.setEscape(false);
                categoryCloud.add(spaceStaticText);
//            spaceStaticText = new StaticText();
//            spaceStaticText.setText("&nbsp;");
//            spaceStaticText.setEscape(false);
//            newList.add(spaceStaticText);
            }
            this.getCategoryLayout().getChildren().addAll(categoryCloud);
            
            /**
             * Now we need to add the links to the virtual forms so the search will work with the ENTER
             * key press.
             */
//            addToVirtualForm(getSessionBean1().getCategoryCloudLinks());
            
            
        } else {
            lnkCloud.setImageURL("/resources/cloud_ctrl_display_as_list.png");
            lnkCloud.setToolTip("Click to show as cloud");
            if(null != this.getCategoryLayout().getChildren()) {
                this.getCategoryLayout().getChildren().clear();
            }
            HtmlPanelGrid categoryPanel = new HtmlPanelGrid();
            /**
             * Populate the categoryPanel
             *
             */
            categoryPanel.getChildren().addAll(this.getSessionBean1().getCategoryList());
            this.getCategoryLayout().getChildren().add(categoryPanel);
            /**
             * Now we need to add the links to the virtual forms so the search will work with the ENTER
             * key press.
             */
//            addToVirtualForm(getSessionBean1().getCategoryList());
        }
        if(null != this.getRecentlyAddedGrid()) {
            this.getRecentlyAddedGrid().getChildren().clear();
        }
        this.getRecentlyAddedGrid().getChildren().addAll(this.getSessionBean1().getRecentlyAddedList());
        
        /**
         * Now we need to add the links to the virtual forms so the search will work with the ENTER
         * key press.
         */
//        addToVirtualForm(getSessionBean1().getRecentlyAddedList());
        
        if(null != this.getTopRatedGrid()) {
            this.getTopRatedGrid().getChildren().clear();
        }
        this.getTopRatedGrid().getChildren().addAll(this.getSessionBean1().getTopRatedList());
        
        /**
         * Now we need to add the links to the virtual forms so the search will work with the ENTER
         * key press.
         */
//        addToVirtualForm(getSessionBean1().getTopRatedList());
        
        if(null != this.getMostPopularGrid()) {
            this.getMostPopularGrid().getChildren().clear();
        }
        this.getMostPopularGrid().getChildren().addAll(this.getSessionBean1().getTopDownloadedList());
        
        /**
         * Now we need to add the links to the virtual forms so the search will work with the ENTER
         * key press.
         */
//        addToVirtualForm(getSessionBean1().getTopDownloadedList());
        
        /**
         * If we don't have any news, don't show the news panel
         */
        if(null == getApplicationBean1().getNews() || getApplicationBean1().getNews().equals("")) {
            newsPanel.setVisible(false);
        } else {
            newsPanel.setVisible(true);
        }
        
    }
    private void addToVirtualForm(ArrayList<Hyperlink> inList) {
        if(null == inList) {
            return;
        }
        Form.VirtualFormDescriptor [] vForms = this.getForm1().getVirtualForms();
        for(int ii=0; null != vForms && ii < vForms.length; ii++) {
            if(vForms[ii].getName().equals("links")) {
                String [] currentSubmittingIds = vForms[ii].getSubmittingIds();
                ArrayList currentIds = new ArrayList(Arrays.asList(currentSubmittingIds));
                ArrayList currentLinks =  inList;
                
                Iterator<Hyperlink> links = getSessionBean1().getCategoryList().iterator();
                while(links.hasNext()) {
                    Hyperlink currentLink = links.next();
                    if(null != currentLink) {
                        currentIds.add(currentLink.getId());
                    }
                }
                
                String [] newSubmittingIds = (String [])currentIds.toArray(new String[0]);
                vForms[ii].setSubmittingIds(newSubmittingIds);
            }
        }
    }
    
    /**
     * <p>Callback method that is called after rendering is completed for
     * this request, if <code>init()</code> was called (regardless of whether
     * or not this was the page that was actually rendered).  Customize this
     * method to release resources acquired in the <code>init()</code>,
     * <code>preprocess()</code>, or <code>prerender()</code> methods (or
     * acquired during execution of an event handler).</p>
     */
    public void destroy() {
    }
    
    /**
     * <p>Return a reference to the scoped data bean.</p>
     */
    protected SessionBean1 getSessionBean1() {
        return (SessionBean1)getBean("SessionBean1");
    }
    
    /**
     * <p>Return a reference to the scoped data bean.</p>
     */
    protected ApplicationBean1 getApplicationBean1() {
        return (ApplicationBean1)getBean("ApplicationBean1");
    }
    
    /**
     * <p>Return a reference to the scoped data bean.</p>
     */
    protected RequestBean1 getRequestBean1() {
        return (RequestBean1)getBean("RequestBean1");
    }
    
    public String category_action() {
        
        return "category";
    }
    
    public void category_action(ActionEvent ae) {
        
        ActionEvent action = ae;
        String currentCategoryName = ((Hyperlink)ae.getComponent()).getType();
        getSessionBean1().setCurrentCategoryName(currentCategoryName);
        return;
    }
    
    public String pluginselect_action() {
        
        return "detail";
    }
    
    public void pluginselect_action(ActionEvent ae) {
        ActionEvent action = ae;
        String currentPluginId =  ((Hyperlink)ae.getComponent()).getType();
        Plugin currentPlugin = this.getApplicationBean1().getPluginSystem().getPlugin(new Long(currentPluginId));
        getSessionBean1().setCurrentPlugin(currentPlugin);
        return;
    }
    
    
    
    public String currentUser_action() {
        
        return "myplugins";
    }
    
    public String txtLoginLogoff_action() {
        if(this.getSessionBean1().isLoggedIn()) {
            this.getSessionBean1().setCurrentUserId(null);
            return null;
        } else {
            this.getSessionBean1().setReturnFromLoginPage("home");
            return "login";
        }
        
    }
    
    public String lnkAddPlugin_action() {
        return "add";
    }
    
    public String btnSearch_action() {
        String searchString=(String)txtSearchString.getText();
        if( null == searchString) {
            getSessionBean1().setCurrentSearchCriteria("Search criteria: show all plugins");
        } else {
            getSessionBean1().setCurrentSearchCriteria("Search criteria: " + searchString);
        }
        
        Plugin [] foundPlugins = this.getApplicationBean1().getPluginSystem().getPlugins(searchString);
        getSessionBean1().setCurrentPlugins(foundPlugins);
        
        
        
        return "list";
    }
    
    public String pluginNameLink_action() {
        getSessionBean1().setCurrentPlugin(getApplicationBean1().getFeaturePlugin());
        
        return "detail";
    }
    
    public String lnkAuthor_action() {
        String author = getApplicationBean1().getFeaturePlugin().getAuthor_userid();
        getSessionBean1().setCurrentSearchCriteria("Plugins for: " + author);
        
        Plugin [] foundPlugins = this.getApplicationBean1().getPluginSystem().getPluginsByAuthor(author);
        getSessionBean1().setCurrentPlugins(foundPlugins);
        
        return "list";
    }
    
    /**
     * Holds value of property featuredPluginName.
     */
    private String featuredPluginName;
    
    /**
     * Getter for property featuredPluginName.
     * @return Value of property featuredPluginName.
     */
    public String getFeaturedPluginName() {
        return this.featuredPluginName;
    }
    
    /**
     * Setter for property featuredPluginName.
     * @param featuredPluginName New value of property featuredPluginName.
     */
    public void setFeaturedPluginName(String featuredPluginName) {
        this.featuredPluginName = featuredPluginName;
    }
    
    public String lnkCloud_action() {
        if(getSessionBean1().isCategoryInCloudView()) {
            getSessionBean1().setCategoryInCloudView(false);
        } else {
            getSessionBean1().setCategoryInCloudView(true);
        }
        return null;
    }
    
    public void txtSearchString_processValueChange(ValueChangeEvent event) {
        Application application = getApplication();
        NavigationHandler navigator = application.getNavigationHandler();
        FacesContext facesContext = getFacesContext();
        String result = this.btnSearch_action();
        try {
            navigator.handleNavigation(facesContext, null, result);
        } catch (Exception e) {
            log("can't navigate to " + (String) result);
        }
    }
    
    
    
}

