<?xml version="1.0" encoding="UTF-8"?>
<jsp:root version="1.2" xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html" xmlns:jsp="http://java.sun.com/JSP/Page" xmlns:webuijsf="http://www.sun.com/webui/webuijsf">
    <jsp:directive.page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8"/>
    <f:view>
        <webuijsf:page binding="#{Template.page1}" id="page1">
            <webuijsf:html binding="#{Template.html1}" id="html1">
                <webuijsf:head binding="#{Template.head1}" id="head1">
                    <webuijsf:link binding="#{Template.link1}" id="link1" url="/resources/stylesheet.css"/>
                    <webuijsf:link binding="#{Template.link2}" id="link2" url="resources/netbeans.css"/>
                </webuijsf:head>
                <webuijsf:body binding="#{Template.body1}" id="body1">
                    <webuijsf:form binding="#{Template.form1}" id="form1">
                        <div style="position: relative">
                            <jsp:directive.include file="Header.jspf"/>
                        </div>
                        <webuijsf:panelLayout binding="#{Template.center_container}" id="center_container" panelLayout="flow" styleClass="center-container">
                            <webuijsf:panelLayout binding="#{Template.page_border}" id="page_border" panelLayout="flow" styleClass="page-border">
                                <webuijsf:panelLayout binding="#{Template.fixed_tabs}" id="fixed_tabs" panelLayout="flow" styleClass="fixed-tabs">
                                    <webuijsf:image binding="#{Template.image1}" height="26" id="image1" styleClass="float-left"
                                        url="/resources/corner-left.png" width="11"/>
                                    <webuijsf:image binding="#{Template.image2}" id="image2" styleClass="float-right" url="/resources/corner-right.png"/>
                                    <webuijsf:imageHyperlink binding="#{Template.imageHyperlink1}" id="imageHyperlink1" imageURL="/resources/home-off.png" url="http://www.netbeans.org"/>
                                    <webuijsf:imageHyperlink binding="#{Template.imageHyperlink2}" id="imageHyperlink2" imageURL="/resources/products-off.png" url="http://www.netbeans.org/products/index.html"/>
                                    <webuijsf:imageHyperlink binding="#{Template.imageHyperlink3}" id="imageHyperlink3" imageURL="/resources/catalogue-on.png" url="http://www.netbeans.org/catalogue/index.html"/>
                                    <webuijsf:imageHyperlink binding="#{Template.imageHyperlink4}" id="imageHyperlink4" imageURL="/resources/kb-off2.png" url="http://www.netbeans.org/kb/index.html"/>
                                    <webuijsf:imageHyperlink binding="#{Template.imageHyperlink5}" id="imageHyperlink5" imageURL="/resources/community-off.png" url="http://www.netbeans.org/community/index.html"/>
                                    <webuijsf:imageHyperlink binding="#{Template.imageHyperlink6}" id="imageHyperlink6" imageURL="/resources/partners-off.png" url="http://www.netbeans.org/partners/index.html"/>
                                </webuijsf:panelLayout>
                                <webuijsf:panelLayout binding="#{Template.fixed_contentarea}" id="fixed_contentarea" panelLayout="flow" styleClass="fixed-contentarea">
                                    <webuijsf:panelLayout binding="#{Template.navig_breadcrumbs1}" id="navig_breadcrumbs1" panelLayout="flow" styleClass="navig-breadcrumbs">
                                        <webuijsf:hyperlink binding="#{Template.hyperlink1}" id="hyperlink1" text="Home"/>
                                        <webuijsf:staticText binding="#{Template.staticText1}" id="staticText1" text="/Plugins"/>
                                        <webuijsf:hyperlink binding="#{Template.txtLogin}" id="txtLogin" style="left: 600px; position: relative" text="Login"/>
                                    </webuijsf:panelLayout>
                                    <webuijsf:panelLayout binding="#{Template.fixed_contextbox1}" id="fixed_contextbox1" panelLayout="flow" styleClass="fixed-contentbox-ie">
                                        <h:panelGrid binding="#{Template.main_table1}" columns="2" id="main_table1" rowClasses="valign-top" styleClass="f-page-table-2col full-width colapse">
                                            <webuijsf:panelLayout binding="#{Template.left_col1}" id="left_col1" panelLayout="flow">
                                                <webuijsf:panelLayout binding="#{Template.print1}" id="print1" panelLayout="flow">
                                                    <webuijsf:imageHyperlink binding="#{Template.imageHyperlink7}" id="imageHyperlink7"
                                                        imageURL="/resources/print.gif"
                                                        onClick="window.open(&quot;http://testwww.netbeans.org/catalogue/index.html&quot;,&quot;&quot;,&quot;left=0,top=0,scrollbars=yes,resizable=yes,toolbar=yes,location=yes,menubar=yes&quot;);" styleClass="print"/>
                                                </webuijsf:panelLayout>
                                                <webuijsf:panelLayout binding="#{Template.main_area1}" id="main_area1" panelLayout="flow" styleClass="f-page-cell">
                                                    <h:outputText binding="#{Template.outputText1}" id="outputText1" styleClass="netbeans_h1 blue normal" value="Plugin Catalogue"/>
                                                    <webuijsf:markup binding="#{Template.markup1}" id="markup1" tag="p"/>
                                                    <webuijsf:staticText binding="#{Template.staticText2}" id="staticText2"
                                                        style="font-size: 12px; font-weight: bold" styleClass="orange" text="Welcome to the NetBeans Plugin Catalogue!"/>
                                                    <webuijsf:markup binding="#{Template.markup2}" id="markup2" tag="p"/>
                                                    <webuijsf:staticText binding="#{Template.staticText3}" id="staticText3" text="NetBeans Plugins are small programs allowing you to enhance the functionality of your NetBeans IDE.  By using plugins, you can get support for various latest technologies."/>
                                                </webuijsf:panelLayout>
                                            </webuijsf:panelLayout>
                                            <webuijsf:panelLayout binding="#{Template.right_col1}" id="right_col1" panelLayout="flow" styleClass="b-left rcol valign-top">
                                                <webuijsf:panelLayout binding="#{Template.right_col_area1}" id="right_col_area1" panelLayout="flow" styleClass="f-page-cell">
                                                    <webuijsf:staticText binding="#{Template.staticText4}" id="staticText4" styleClass="netbeans_h1 blue" text="Categories"/>
                                                    <webuijsf:markup binding="#{Template.markup3}" id="markup3" tag="p"/>
                                                    <h:panelGrid binding="#{Template.categoryPanel}" id="categoryPanel"/>
                                                </webuijsf:panelLayout>
                                            </webuijsf:panelLayout>
                                        </h:panelGrid>
                                    </webuijsf:panelLayout>
                                </webuijsf:panelLayout>
                                <webuijsf:panelLayout binding="#{Template.fixed_footer}" id="fixed_footer" panelLayout="flow" styleClass="fixed-footer">
                                    <webuijsf:panelLayout binding="#{Template.footer_text1}" id="footer_text1" panelLayout="flow" styleClass="footer-text">
                                        <webuijsf:panelLayout binding="#{Template.footer_navig1}" id="footer_navig1" panelLayout="flow" styleClass="float-left">
                                            <webuijsf:hyperlink binding="#{Template.hyperlink4}" id="hyperlink4" text="Shop" url="http://www.cafeshops.com/netbeans/"/>
                                            <webuijsf:staticText binding="#{Template.staticText6}" escape="false" id="staticText6" text="&amp;nbsp;"/>
                                            <webuijsf:staticText binding="#{Template.staticText7}" escape="false" id="staticText7" text="&amp;nbsp;"/>
                                            <webuijsf:hyperlink binding="#{Template.hyperlink5}" id="hyperlink5" text="Site Map" url="http://www.netbeans.org/download/sitemaps/www_map.html"/>
                                            <webuijsf:staticText binding="#{Template.staticText8}" escape="false" id="staticText8" text="&amp;nbsp;"/>
                                            <webuijsf:staticText binding="#{Template.staticText9}" escape="false" id="staticText9" text="&amp;nbsp;"/>
                                            <webuijsf:hyperlink binding="#{Template.hyperlink6}" id="hyperlink6" text="About Us" url="http://www.netbeans.org/about/index.html"/>
                                            <webuijsf:staticText binding="#{Template.staticText10}" escape="false" id="staticText10" text="&amp;nbsp;"/>
                                            <webuijsf:staticText binding="#{Template.staticText11}" escape="false" id="staticText11" text="&amp;nbsp;"/>
                                            <webuijsf:hyperlink binding="#{Template.hyperlink7}" id="hyperlink7" text="Contact" url="http://www.netbeans.org/about/contact.html"/>
                                        </webuijsf:panelLayout>
                                        <webuijsf:panelLayout binding="#{Template.tof1}" id="tof1" panelLayout="flow" styleClass="tof float-right">
                                            <webuijsf:staticText binding="#{Template.staticText12}" id="staticText12" text="By use of this website, you agree to the"/>
                                            <webuijsf:hyperlink binding="#{Template.hyperlink8}" id="hyperlink8" text=" NetBeans Policies and Terms of Use" url="http://www.netbeans.org/about/legal/terms-of-use.html"/>
                                        </webuijsf:panelLayout>
                                    </webuijsf:panelLayout>
                                </webuijsf:panelLayout>
                            </webuijsf:panelLayout>
                        </webuijsf:panelLayout>
                    </webuijsf:form>
                </webuijsf:body>
            </webuijsf:html>
        </webuijsf:page>
    </f:view>
</jsp:root>
