/*
                    Sun Public License Notice

The contents of this file are subject to the Sun Public License Version
1.0 (the "License"). You may not use this file except in compliance with
the License. A copy of the License is available at http://www.sun.com/

The Original Code is the Regsup module.
The Initial Developer of the Original Code is Petr Slegr.
Portions created by Petr Slegr are Copyright (C) 2002.
All Rights Reserved.

Contributor(s): Petr Slegr.
*/

package org.netbeans.modules.regsup.auted;

import javax.swing.undo.AbstractUndoableEdit;

/**
 * @author Petr Slegr
 * @version 01.05.02/2
 */
abstract class VisualAutomatonEdit extends AbstractUndoableEdit {
    
    /**
     * @param container container where the edit takes place
     */
    public VisualAutomatonEdit () {
        //this.nodes = nodes;
        //this.edges = edges;
    }
    
    public boolean canRedo () {
        return true;
    }
    
    public boolean canUndo () {
        return true;
    }
    
    public abstract boolean isStructural ();   
}

