/*
                    Sun Public License Notice

The contents of this file are subject to the Sun Public License Version
1.0 (the "License"). You may not use this file except in compliance with
the License. A copy of the License is available at http://www.sun.com/

The Original Code is the Regsup module.
The Initial Developer of the Original Code is Petr Slegr.
Portions created by Petr Slegr are Copyright (C) 2002.
All Rights Reserved.

Contributor(s): Petr Slegr.
*/

package org.netbeans.modules.regsup.auted.ui;

import java.awt.Component;
import javax.swing.*;

/**
 *
 * @author  Petr Slegr
 * @version 20.04.02
 */
public class BreakpointListRenderer extends DefaultListCellRenderer {
    
    /** Creates a new instance of BreakpointListRenderer */
    public BreakpointListRenderer () {
    }
    
    public Component getListCellRendererComponent (JList jList, Object obj, int param, boolean param3, boolean param4) {
        Component res;
        
        res = super.getListCellRendererComponent (jList, obj, param, param3, param4);
        if (! (res instanceof JLabel)) {
            throw new IllegalStateException ("Not JLabel");
        }
        JLabel label = (JLabel) res;
        label.setIcon (new ImageIcon (getClass ().getResource ("/org/netbeans/modules/regsup/resources/icons/breakpoint.gif")));
        label.setText ("Breakpoint");
        return res;
    }
    
}
